Archive

Posts Tagged ‘angry’

Cisco PacketTracer install Linux

January 22nd, 2015 3 comments

Installing 32bit Cisco Packet Tracer 6 on 64bit ubuntu 14 causes headaches.
Here’s how to get it running -read more for the steps I went through to work this out and don’t just run commands blindly without understanding them.

# possibly magic quickfix

dpkg --add-architecture i386

apt-get update
apt-get install libc6:i386 libncurses5:i386 libstdc++6:i386 libssl1.0.0:i386 libssl-dev:i386 libssl1.0.0 libssl-dev libx11-dev:i386 libxrender-dev:i386 libfreetype6-dev:i386 libfontconfig1-dev:i386 libglib2.0-dev:i386 libqtwebkit4:i386

At this point, if you try and launch /opt/pt/bin/PacketTracer6 directly you end up with missing ‘libQtWebKit.so.4’ errors. Launch `/usr/local/bin/packettracer` and it works (as the script sources the libraries it ships with).

On the flipside, linux mint (matte) runs it first time with no faffing about :)

Continue reading for why and how we got to this point.

Read more…